io.undertow.server.handlers

## Class DateHandler

- java.lang.Object
- - io.undertow.server.handlers.DateHandler

All Implemented Interfaces:
  HttpHandler

Deprecated.

    @Deprecated
    public class DateHandler
    extends Object
    implements HttpHandler

Class that adds the Date: header to a HTTP response. The current date string is cached, and is updated every second in a racey manner (i.e. it is possible for two thread to update it at once).

This handler is deprecated, the same functionality is achieved by using the server option `ALWAYS_SET_DATE`. It is enabled by default.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`DateHandler(HttpHandler next)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `handleRequest(HttpServerExchange exchange)` Deprecated. Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateHandler

    public DateHandler(HttpHandler next)

Deprecated.

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Deprecated.
Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`